> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Llm Scorer Log Record



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/llm/validate/log_record
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/llm/validate/log_record:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Validate Llm Scorer Log Record
      operationId: validate_llm_scorer_log_record_v2_scorers_llm_validate_log_record_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateLLMScorerLogRecordRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateLLMScorerLogRecordResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ValidateLLMScorerLogRecordRequest:
      properties:
        starting_token:
          type: integer
          title: Starting Token
          default: 0
        limit:
          type: integer
          title: Limit
          default: 100
        previous_last_row_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Previous Last Row Id
        log_stream_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Log Stream Id
          description: Log stream id associated with the traces.
        experiment_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Experiment Id
          description: Experiment id associated with the traces.
        metrics_testing_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Metrics Testing Id
          description: Metrics testing id associated with the traces.
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/LogRecordsIDFilter'
              - $ref: '#/components/schemas/LogRecordsDateFilter'
              - $ref: '#/components/schemas/LogRecordsNumberFilter'
              - $ref: '#/components/schemas/LogRecordsBooleanFilter'
              - $ref: '#/components/schemas/LogRecordsCollectionFilter'
              - $ref: '#/components/schemas/LogRecordsTextFilter'
              - $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
            discriminator:
              propertyName: type
              mapping:
                boolean:
                  $ref: '#/components/schemas/LogRecordsBooleanFilter'
                collection:
                  $ref: '#/components/schemas/LogRecordsCollectionFilter'
                date:
                  $ref: '#/components/schemas/LogRecordsDateFilter'
                fully_annotated:
                  $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
                id:
                  $ref: '#/components/schemas/LogRecordsIDFilter'
                number:
                  $ref: '#/components/schemas/LogRecordsNumberFilter'
                text:
                  $ref: '#/components/schemas/LogRecordsTextFilter'
          type: array
          title: Filters
        filter_tree:
          anyOf:
            - $ref: >-
                #/components/schemas/FilterExpression_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
            - type: 'null'
        sort:
          anyOf:
            - $ref: '#/components/schemas/LogRecordsSortClause'
            - type: 'null'
          description: >-
            Sort for the query.  Defaults to native sort (created_at, id
            descending).
        truncate_fields:
          type: boolean
          title: Truncate Fields
          default: false
        include_counts:
          type: boolean
          title: Include Counts
          description: >-
            If True, include computed child counts (e.g., num_traces for
            sessions, num_spans for traces).
          default: false
        query:
          type: string
          title: Query
        response:
          type: string
          title: Response
        chain_poll_template:
          $ref: '#/components/schemas/ChainPollTemplate'
        scorer_configuration:
          $ref: '#/components/schemas/GeneratedScorerConfiguration'
        user_prompt:
          type: string
          title: User Prompt
      type: object
      required:
        - query
        - response
        - chain_poll_template
        - scorer_configuration
        - user_prompt
      title: ValidateLLMScorerLogRecordRequest
      description: >-
        Request to validate a new LLM scorer based on a log record.

        This is used to create a new experiment with the copied log records to
        store the metric testing results.
      examples:
        - filters:
            - case_sensitive: true
              name: input
              operator: eq
              type: text
              value: example input
          log_stream_id: 00000000-0000-0000-0000-000000000000
          pagination:
            limit: 5
            starting_token: 0
          sort:
            ascending: false
            name: updated_at
            sort_type: column
        - filter_tree:
            and:
              - or:
                  - filter:
                      name: input
                      operator: contains
                      type: text
                      value: abx
                  - filter:
                      name: output
                      operator: contains
                      type: text
                      value: xyz
              - filter:
                  name: session_id
                  operator: eq
                  type: id
                  value: 123e4567-e89b-42d3-a456-426614174000
          log_stream_id: 00000000-0000-0000-0000-000000000000
          pagination:
            limit: 5
            starting_token: 0
          sort:
            ascending: false
            name: updated_at
            sort_type: column
    ValidateLLMScorerLogRecordResponse:
      properties:
        metrics_experiment_id:
          type: string
          format: uuid4
          title: Metrics Experiment Id
        project_id:
          type: string
          format: uuid4
          title: Project Id
      type: object
      required:
        - metrics_experiment_id
        - project_id
      title: ValidateLLMScorerLogRecordResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LogRecordsIDFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
        type:
          type: string
          const: id
          title: Type
          default: id
      type: object
      required:
        - column_id
        - value
      title: LogRecordsIDFilter
    LogRecordsDateFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
        type:
          type: string
          const: date
          title: Type
          default: date
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsDateFilter
    LogRecordsNumberFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
            - between
          title: Operator
        value:
          anyOf:
            - type: integer
            - type: number
            - items:
                type: integer
              type: array
            - items:
                type: number
              type: array
          title: Value
        type:
          type: string
          const: number
          title: Type
          default: number
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsNumberFilter
    LogRecordsBooleanFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
          title: Operator
          default: eq
        value:
          type: boolean
          title: Value
        type:
          type: string
          const: boolean
          title: Type
          default: boolean
      type: object
      required:
        - column_id
        - value
      title: LogRecordsBooleanFilter
    LogRecordsCollectionFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
        type:
          type: string
          const: collection
          title: Type
          default: collection
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsCollectionFilter
    LogRecordsTextFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
        type:
          type: string
          const: text
          title: Type
          default: text
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsTextFilter
    LogRecordsFullyAnnotatedFilter:
      properties:
        column_id:
          type: string
          const: fully_annotated
          title: Column Id
          description: >-
            Queue-scoped filter identifier. This filter only works for
            annotation-queue searches that provide queue context.
          default: fully_annotated
        type:
          type: string
          const: fully_annotated
          title: Type
          default: fully_annotated
        user_ids:
          anyOf:
            - items:
                type: string
                format: uuid4
              type: array
              minItems: 1
            - type: 'null'
          title: User Ids
          description: >-
            Optional queue member IDs to require for full annotation in a
            queue-scoped search. If omitted, all tracked queue members visible
            to the requester are used.
      type: object
      title: LogRecordsFullyAnnotatedFilter
      description: Queue-scoped filter for records rated across all queue templates.
    FilterExpression_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      anyOf:
        - $ref: >-
            #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
        - $ref: >-
            #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
        - $ref: >-
            #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
        - $ref: >-
            #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
    LogRecordsSortClause:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to sort.
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      required:
        - column_id
      title: LogRecordsSortClause
    ChainPollTemplate:
      properties:
        metric_system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric System Prompt
          description: System prompt for the metric.
        metric_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric Description
          description: Description of what the metric should do.
        value_field_name:
          type: string
          title: Value Field Name
          description: Field name to look for in the chainpoll response, for the rating.
          default: rating
        explanation_field_name:
          type: string
          title: Explanation Field Name
          description: >-
            Field name to look for in the chainpoll response, for the
            explanation.
          default: explanation
        template:
          type: string
          title: Template
          description: Chainpoll prompt template.
        metric_few_shot_examples:
          items:
            $ref: '#/components/schemas/FewShotExample'
          type: array
          title: Metric Few Shot Examples
          description: Few-shot examples for the metric.
        response_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Response Schema
          description: Response schema for the output
      type: object
      required:
        - template
      title: ChainPollTemplate
      description: |-
        Template for a chainpoll metric prompt,
        containing all the info necessary to send a chainpoll prompt.
    GeneratedScorerConfiguration:
      properties:
        model_alias:
          type: string
          title: Model Alias
          default: gpt-4.1-mini
        num_judges:
          type: integer
          maximum: 10
          minimum: 1
          title: Num Judges
          default: 3
        output_type:
          $ref: '#/components/schemas/OutputTypeEnum'
          description: Output type of the generated scorer.
          default: boolean
        scoreable_node_types:
          items:
            type: string
          type: array
          title: Scoreable Node Types
          description: Types of nodes that can be scored by this scorer.
        cot_enabled:
          type: boolean
          title: Cot Enabled
          description: Whether chain of thought is enabled for this scorer.
          default: false
        ground_truth:
          type: boolean
          title: Ground Truth
          description: Whether ground truth is enabled for this scorer.
          default: false
        multimodal_capabilities:
          anyOf:
            - items:
                $ref: '#/components/schemas/MultimodalCapability'
              type: array
            - type: 'null'
          title: Multimodal Capabilities
          description: Multimodal capabilities required by this scorer.
      type: object
      title: GeneratedScorerConfiguration
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____:
      properties:
        filter:
          oneOf:
            - $ref: '#/components/schemas/LogRecordsIDFilter'
            - $ref: '#/components/schemas/LogRecordsDateFilter'
            - $ref: '#/components/schemas/LogRecordsNumberFilter'
            - $ref: '#/components/schemas/LogRecordsBooleanFilter'
            - $ref: '#/components/schemas/LogRecordsCollectionFilter'
            - $ref: '#/components/schemas/LogRecordsTextFilter'
            - $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
          title: Filter
          discriminator:
            propertyName: type
            mapping:
              boolean:
                $ref: '#/components/schemas/LogRecordsBooleanFilter'
              collection:
                $ref: '#/components/schemas/LogRecordsCollectionFilter'
              date:
                $ref: '#/components/schemas/LogRecordsDateFilter'
              fully_annotated:
                $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
              id:
                $ref: '#/components/schemas/LogRecordsIDFilter'
              number:
                $ref: '#/components/schemas/LogRecordsNumberFilter'
              text:
                $ref: '#/components/schemas/LogRecordsTextFilter'
      type: object
      required:
        - filter
      title: >-
        FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      properties:
        and:
          items:
            anyOf:
              - $ref: >-
                  #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
              - $ref: >-
                  #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          type: array
          title: And
      type: object
      required:
        - and
      title: >-
        AndNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      properties:
        or:
          items:
            anyOf:
              - $ref: >-
                  #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
              - $ref: >-
                  #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          type: array
          title: Or
      type: object
      required:
        - or
      title: >-
        OrNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      properties:
        not:
          anyOf:
            - $ref: >-
                #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
            - $ref: >-
                #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
            - $ref: >-
                #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
            - $ref: >-
                #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          title: Not
      type: object
      required:
        - not
      title: >-
        NotNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    FewShotExample:
      properties:
        generation_prompt_and_response:
          type: string
          title: Generation Prompt And Response
        evaluating_response:
          type: string
          title: Evaluating Response
      type: object
      required:
        - generation_prompt_and_response
        - evaluating_response
      title: FewShotExample
      description: Few-shot example for a chainpoll metric prompt.
    OutputTypeEnum:
      type: string
      enum:
        - boolean
        - categorical
        - count
        - discrete
        - freeform
        - percentage
        - multilabel
        - retrieved_chunk_list_boolean
        - boolean_multilabel
      title: OutputTypeEnum
      description: Enumeration of output types.
    MultimodalCapability:
      type: string
      enum:
        - vision
        - audio
      title: MultimodalCapability
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````